r15048 - gnucash/trunk - Use "passive FTP" with wget, to allow building behind a firewall

Derek Atkins warlord at cvs.gnucash.org
Fri Oct 20 13:51:03 EDT 2006


Author: warlord
Date: 2006-10-20 13:51:02 -0400 (Fri, 20 Oct 2006)
New Revision: 15048
Trac: http://svn.gnucash.org/trac/changeset/15048

Added:
   gnucash/trunk/packaging/win32/reset.sh
Modified:
   gnucash/trunk/
   gnucash/trunk/packaging/win32/install.sh
Log:
Use "passive FTP" with wget, to allow building behind a firewall
Create a 'reset' script to allow resetting the win32 build environment.



Property changes on: gnucash/trunk
___________________________________________________________________
Name: svk:merge
   - 3889ce50-311e-0410-a464-f059747ec5d1:/local/gnucash/branches/swig-redo:802
3889ce50-311e-0410-a464-f059747ec5d1:/local/gnucash/trunk:842
d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk:13508
d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk2:13366
   + 3889ce50-311e-0410-a464-f059747ec5d1:/local/gnucash/branches/swig-redo:802
3889ce50-311e-0410-a464-f059747ec5d1:/local/gnucash/trunk:842
d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk:13524
d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk2:13366

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-10-20 15:59:50 UTC (rev 15047)
+++ gnucash/trunk/packaging/win32/install.sh	2006-10-20 17:51:02 UTC (rev 15048)
@@ -104,7 +104,7 @@
     # download the file to the tmpdir and then when that completes
     # move it to the dest dir.
     if [ ! -f $_DLD/$_FILE ] ; then
-	wget -c $1 -P $TMP_DIR
+	wget --passive-ftp -c $1 -P $TMP_DIR
 	mv $TMP_UDIR/$_FILE $_DLD
     fi
     LAST_FILE=$_DLD/$_FILE

Added: gnucash/trunk/packaging/win32/reset.sh
===================================================================
--- gnucash/trunk/packaging/win32/reset.sh	2006-10-20 15:59:50 UTC (rev 15047)
+++ gnucash/trunk/packaging/win32/reset.sh	2006-10-20 17:51:02 UTC (rev 15048)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+set -e
+
+echo ""
+echo "This will reset your installation of gnucash."
+echo -n "Are you sure you want to do this?  [y/N] "
+read resp
+case "$resp" in
+  y*|Y*)
+    ;;
+  *)
+    exit 0;
+    ;;
+esac
+
+####  Load Custom.sh
+
+function add_step() { }
+function qpushd() { pushd "$@" >/dev/null; }
+function qpopd() { popd >/dev/null; }
+
+# /c/dir/sub
+function unix_path() {
+    echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'
+}
+
+qpushd "$(dirname $(unix_path "$0"))"
+. custom.sh
+
+####  Now clear out the install
+
+basedir=`unix_path $GLOBAL_DIR`
+qpushd $basedir
+
+rm -rf regex readline indent guile pexports gnome swig autotools
+rm -rf libgsf goffice glade gnucash
+
+rm -f /etc/profile.d/installer.in
+
+echo "Done"
+exit 0
+
+### Local Variables: ***
+### sh-basic-offset: 4 ***
+### tab-width: 8 ***
+### End: ***


Property changes on: gnucash/trunk/packaging/win32/reset.sh
___________________________________________________________________
Name: svn:keywords
   + "Author Date Id Revision"
Name: svn:eol-style
   + native



More information about the gnucash-changes mailing list